import { Visualizer } from '../../..';
import { IScene, ISceneConfigurationRaw, ISceneConfigurationEntityOutput } from '../../EventSystem/EventTypes';
import { Core } from '@byondrnd/byond-web-lib';
declare type TLocation = {
    index: number;
    experienceId: string;
    id: string;
    organization: string;
    catalog: string;
    sceneConfigurations: ISceneConfigurationRaw;
};
export declare class SceneMetadataManager {
    visualizer: Visualizer;
    sceneConfigurations: Map<string, ISceneConfigurationEntityOutput>;
    metaData?: Core.Metadata.ExperienceMetadata;
    constructor(visualizer: Visualizer);
    init(metaData: Core.Metadata.ExperienceMetadata): void;
    private getMetaData;
    getLocation(sceneId?: string): TLocation;
    getScene(location: TLocation): IScene;
    getApiEndpoint: () => any;
    getApiToken: () => any;
    private getEmail;
    private getPassword;
    getCatalogProps(sceneId: string): {
        experienceId: string;
        apiEndoint: any;
        apiToken: any;
        email: any;
        password: any;
        organization: string;
        catalog: string;
    };
    getSceneTitle: (sceneId: string) => string;
    getSceneSubtitle: (sceneId: string) => string | undefined;
    getMaxFaceSize: (sceneId: string | undefined) => number;
    getSceneList(): {
        previewImage?: string | undefined;
        subSelection?: {
            title?: string | undefined;
            previewImage?: string | undefined;
            name: string;
        } | undefined;
        subtitle?: string | undefined;
        name: string;
        title: string;
        experienceId: string;
        sceneId: string;
    }[];
    resetSceneConfigurationLabel(): void;
    getSceneConfiguration(sceneId: string | undefined): ISceneConfigurationEntityOutput;
}
export {};
